---
wagl:
  algorithm_information:
    algorithm_version: 2.0
    nbar_doi: http://dx.doi.org/10.1109/JSTARS.2010.2042281
    nbar_terrain_corrected_doi: http://dx.doi.org/10.1016/j.rse.2012.06.018
  ancillary:
    aerosol:
      id: []
      tier: FALLBACK_DEFAULT
      value: 0.06
    brdf:
      alpha_1:
        band_1: 0.2086003948551778
        band_11: 0.1931986688145335
        band_12: 0.06181336443881174
        band_2: 0.2086003948551778
        band_3: 0.41299785142630135
        band_4: 0.221799871230727
        band_5: 0.221799871230727
        band_6: 0.221799871230727
        band_7: 0.7125616024739223
        band_8: 0.7125616024739223
        band_8a: 0.7125616024739223
      alpha_2:
        band_1: 0.1923083678427391
        band_11: 0.1838964499941174
        band_12: 0.2396178162278188
        band_2: 0.1923083678427391
        band_3: 0.1349953298488961
        band_4: 0.17698973893013198
        band_5: 0.17698973893013198
        band_6: 0.17698973893013198
        band_7: 0.06549066586397573
        band_8: 0.06549066586397573
        band_8a: 0.06549066586397573
      id:
      - 9428beb7-8bb2-559a-bfba-5e6e9fb9a93c
      tier: DEFINITIVE
    elevation:
      id:
      - 27ca9489-8222-5117-96f6-2af42655c604
      - 8ad73086-72cf-561a-aa0f-1e3c64d53384
    ozone:
      id:
      - 3a5b2597-effc-53e6-b65f-cec584ee6a3e
      tier: DEFINITIVE
      value: 0.25
    water_vapour:
      id:
      - d46355f4-8c32-5a9a-aa18-4f1c799f1918
      tier: DEFINITIVE
      value: 5.1099998474121096
  id: b3ca1719-35fd-4a3f-ba1d-60eda4f34a18
  parameters:
    buffer_distance: 8000
    esun:
      BAND-1: 1950.624594209362
      BAND-11: 239.89838453671126
      BAND-12: 83.93395592636081
      BAND-2: 2002.9328474255094
      BAND-3: 1876.927079593714
      BAND-4: 1532.1059277555594
      BAND-5: 1414.5619454256957
      BAND-6: 1293.3277852591375
      BAND-7: 1188.7953758877386
      BAND-8: 1045.2577135104868
      BAND-8A: 952.874783637633
    method: 2
    normalized_solar_zenith: 45.0
    rori: 0.52
    vertices:
    - 3
    - 3
  source_datasets:
    acquisition_datetime: 2020-03-26 01:11:21.552868Z
    atime: 2022-05-26 10:57:05Z
    ctime: 2020-03-26 12:12:11Z
    mtime: 2020-03-26 12:12:06Z
    owner_id: '12232'
    platform_id: SENTINEL_2B
    sensor_id: MSI
    source_level1: /g/data/up71/projects/ARD_implementation_validation/robbi_northern_territory_L1C/S2B_MSIL1C_20200326T010729_N0209_R045_T53LPD_20200326T022721.zip
  system_information:
    hostname: gadi-cpu-clx-2111.gadi.nci.org.au
    runtime_id: 945d7a54-dce2-11ec-b2b9-0000018bfe80
    time_processed: 2022-05-26 10:57:05.137351Z
    uname: 'Linux gadi-cpu-clx-2111.gadi.nci.org.au 4.18.0-348.20.1.el8.nci.x86_64
      #1 SMP Wed Mar 16 11:37:35 AEDT 2022 x86_64'
gqa:
  colors:
    blue: 0.0
    green: 5.0
    red: 0.0
    teal: 6.0
    yellow: 0.0
  error_message: no errors
  final_qa_count: 8
  granule: S2B_OPER_MSI_L1C_TL_EPAE_20200326T022721_A015944_T53LPD_N02.09
  ref_date: '2013-09-14T00:00:00+00:00'
  ref_source: GQA_v3
  ref_source_path: /g/data/v10/eoancillarydata/GCP/GQA_v3/wrs2/102/070/LC81020702013257LGN00_B2.TIF
  residual:
    abs:
      x: 0.44
      xy: 0.48
      y: 0.18
    abs_iterative_mean:
      x: 0.45
      xy: 0.47
      y: 0.15
    cep90: 0.58
    iterative_mean:
      x: 0.45
      xy: 0.47
      y: -0.15
    iterative_stddev:
      x: 0.09
      xy: 0.12
      y: 0.08
    mean:
      x: 0.44
      xy: 0.47
      y: -0.17
    stddev:
      x: 0.19
      xy: 0.24
      y: 0.15
fmask:
  parameters:
    cloud_buffer_distance_metres: 0.0
    cloud_shadow_buffer_distance_metres: 0.0
    frantz_parallax_sentinel_2: false
  percent_class_distribution:
    clear: 6.138281452961634
    cloud: 3.5663373725055707
    cloud_shadow: 2.5874246241139405
    snow: 1.7278802666901394
    water: 85.9800762837287
s2cloudless:
  parameters:
    average_over: 4
    dilation_size: 2
    threshold: 0.4
  percent_class_distribution:
    clear: 94.05590321609711
    cloud: 5.944096783902893
software_versions:
- name: modtran
  url: http://www.ontar.com/software/productdetails.aspx?item=modtran
  version: 6.0.1
- name: wagl
  url: https://github.com/GeoscienceAustralia/wagl
  version: 5.8.1
- name: eugl
  url: https://github.com/OpenDataCubePipelines/eugl
  version: 0.5.1
- name: gverify
  url:
  version: v0.25c
- name: fmask
  url: https://www.pythonfmask.org/
  version: 0.5.5
- name: s2cloudless
  url: https://github.com/sentinel-hub/sentinel2-cloud-detector
  version: 1.5.0
- name: tesp
  url: https://github.com/OpenDataCubePipelines/tesp
  version: 0.14.0
- name: eodatasets3
  url: https://github.com/GeoscienceAustralia/eo-datasets
  version: 0.27.3
...
